## AgsIconLink

AgsIconLink — a icon_link widget

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | ags_icon_link_test_flags ()
void | ags_icon_link_set_flags ()
void | ags_icon_link_unset_flags ()
gchar * | ags_icon_link_get_icon_name ()
void | ags_icon_link_set_icon_name ()
gchar * | ags_icon_link_get_action ()
void | ags_icon_link_set_action ()
gchar * | ags_icon_link_get_link_text ()
void | ags_icon_link_set_link_text ()
void | ags_icon_link_delete_event ()
AgsIconLink * | ags_icon_link_copy_event ()
void | ags_icon_link_clicked ()
AgsIconLink * | ags_icon_link_new ()

## Types and Values

#define | AGS_ICON_LINK_DEFAULT_SEGMENT_WIDTH
#define | AGS_ICON_LINK_DEFAULT_SEGMENT_HEIGHT
#define | AGS_ICON_LINK_DEFAULT_SEGMENT_PADDING
#define | AGS_ICON_LINK_DEFAULT_SEGMENT_COUNT
enum | AgsIconLinkFlags

## Includes

    #include <ags/widget/ags_icon_link.h>

## Description

AgsIconLink is a widget representing a GtkAdjustment.

## Functions

### ags_icon_link_test_flags ()

    gboolean
    ags_icon_link_test_flags (AgsIconLink *icon_link,
                              guint flags);

Test `flags` of `icon_link` .

#### Parameters

icon_link | the AgsIconLink |
flags | the flags |

#### Returns

`TRUE` if flags set, otherwise `FALSE`

Since: 6.6.0

### ags_icon_link_set_flags ()

    void
    ags_icon_link_set_flags (AgsIconLink *icon_link,
                             guint flags);

Set `flags` of `icon_link` .

#### Parameters

icon_link | the AgsIconLink |
flags | the flags |

Since: 6.6.0

### ags_icon_link_unset_flags ()

    void
    ags_icon_link_unset_flags (AgsIconLink *icon_link,
                               guint flags);

Set `flags` of `icon_link` .

#### Parameters

icon_link | the AgsIconLink |
flags | the flags |

Since: 6.6.0

### ags_icon_link_get_icon_name ()

    gchar *
    ags_icon_link_get_icon_name (AgsIconLink *icon_link);

Get icon name of `icon_link` .

#### Parameters

icon_link | the AgsIconLink |

#### Returns

the icon name as string

Since: 6.6.0

### ags_icon_link_set_icon_name ()

    void
    ags_icon_link_set_icon_name (AgsIconLink *icon_link,
                                 gchar *icon_name);

Set `icon_name` of `icon_link` .

#### Parameters

icon_link | the AgsIconLink |
icon_name | the icon name |

Since: 6.6.0

### ags_icon_link_get_action ()

    gchar *
    ags_icon_link_get_action (AgsIconLink *icon_link);

Get action of `icon_link` .

#### Parameters

icon_link | the AgsIconLink |

#### Returns

the action as string

Since: 6.6.0

### ags_icon_link_set_action ()

    void
    ags_icon_link_set_action (AgsIconLink *icon_link,
                              gchar *action);

Set `action` of `icon_link` .

#### Parameters

icon_link | the AgsIconLink |
action | the action |

Since: 6.6.0

### ags_icon_link_get_link_text ()

    gchar *
    ags_icon_link_get_link_text (AgsIconLink *icon_link);

Get link text of `icon_link` .

#### Parameters

icon_link | the AgsIconLink |

#### Returns

the link text as string

Since: 6.6.0

### ags_icon_link_set_link_text ()

    void
    ags_icon_link_set_link_text (AgsIconLink *icon_link,
                                 gchar *link_text);

Set `link_text` of `icon_link` .

#### Parameters

icon_link | the AgsIconLink |
link_text | the link text |

Since: 6.6.0

### ags_icon_link_delete_event ()

    void
    ags_icon_link_delete_event (AgsIconLink *icon_link);

Emits ::delete-event event.

#### Parameters

icon_link | the AgsIconLink |

Since: 6.6.0

### ags_icon_link_copy_event ()

    AgsIconLink *
    ags_icon_link_copy_event (AgsIconLink *icon_link);

Emits ::copy-event event.

#### Parameters

icon_link | the AgsIconLink |

#### Returns

the icon link.

[transfer none]

Since: 6.6.0

### ags_icon_link_clicked ()

    void
    ags_icon_link_clicked (AgsIconLink *icon_link);

Emits ::clicked event.

#### Parameters

icon_link | the AgsIconLink |

Since: 6.6.0

### ags_icon_link_new ()

    AgsIconLink *
    ags_icon_link_new (gchar *icon_name,
                       gchar *action,
                       gchar *link_text);

Creates a new instance of AgsIconLink.

#### Parameters

icon_name | the icon name |
action | the action |
link_text | the link text |

#### Returns

the new AgsIconLink

Since: 6.6.0

## Types and Values

### AGS_ICON_LINK_DEFAULT_SEGMENT_WIDTH

    #define AGS_ICON_LINK_DEFAULT_SEGMENT_WIDTH (7)

### AGS_ICON_LINK_DEFAULT_SEGMENT_HEIGHT

    #define AGS_ICON_LINK_DEFAULT_SEGMENT_HEIGHT (7)

### AGS_ICON_LINK_DEFAULT_SEGMENT_PADDING

    #define AGS_ICON_LINK_DEFAULT_SEGMENT_PADDING (3)

### AGS_ICON_LINK_DEFAULT_SEGMENT_COUNT

    #define AGS_ICON_LINK_DEFAULT_SEGMENT_COUNT (10)

### enum AgsIconLinkFlags

#### Members

AGS_ICON_LINK_HIGHLIGHT |  |
AGS_ICON_LINK_SHOW_CONTEXT_MENU |  |